<?xml version="1.0" encoding="UTF-8"?>
<xs:schema attributeFormDefault="unqualified" elementFormDefault="qualified" 
xmlns:xs="http://www.w3.org/2001/XMLSchema" 
targetNamespace="urn:3gpp:ns:mcdataMbmsUsage:1.0"
xmlns:mcdatambms="urn:3gpp:ns:mcdataMbmsUsage:1.0">
	<!-- the root element -->
	<xs:element name="mcdata-mbms-usage-info" type="mcdatambms:mcdata-mbms-usage-info-Type" id="mbms"/>
	<xs:complexType name="mcdata-mbms-usage-info-Type">
		<xs:sequence>
			<xs:element name="mbms-listening-status" type="mcdatambms:mbms-listening-statusType" 
			minOccurs="0"/>
			<xs:element name="mbms-suspension-status" type="mcdatambms:mbms-suspension-statusType" 
			minOccurs="0"/>
			<xs:element name="announcement" type="mcdatambms:announcementTypeParams" minOccurs="0"/>
			<xs:element name="version" type="xs:integer"/>
			<xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
			<xs:element name="anyExt" type="mcdatambms:anyExtType" minOccurs="0"/>
		</xs:sequence>
		<xs:anyAttribute namespace="##any" processContents="lax"/>
	</xs:complexType>
	<xs:complexType name="mbms-listening-statusType">
		<xs:sequence>
			<xs:element name="mbms-listening-status" type="xs:string"/>
			<xs:element name="session-id" type="xs:anyURI" minOccurs="0"/>
			<xs:element name="general-purpose" type="xs:boolean" minOccurs="0"/>
			<xs:element name="TMGI" type="xs:hexBinary" maxOccurs="unbounded"/>
			<xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
			<xs:element name="anyExt" type="mcdatambms:anyExtType" minOccurs="0"/>
		</xs:sequence>
		<xs:anyAttribute namespace="##any" processContents="lax"/>
	</xs:complexType>
	<xs:complexType name="mbms-suspension-statusType">
		<xs:sequence>
			<xs:element name="mbms-suspension-status" type="xs:string" minOccurs="0" maxOccurs="1"/>
			<xs:element name="number-of-reported-bearers" type="xs:integer" minOccurs="0" maxOccurs="1"/>
			<xs:element name="suspended-TMGI" type="xs:hexBinary" minOccurs="0"/>
			<xs:element name="other-TMGI" type="xs:hexBinary" minOccurs="0" maxOccurs="unbounded"/>
			<xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
			<xs:element name="anyExt" type="mcdatambms:anyExtType" minOccurs="0"/>
		</xs:sequence>
		<xs:anyAttribute namespace="##any" processContents="lax"/>
	</xs:complexType>

	<xs:element name="mbms-defaultMuSiK-download" type="mcdatambms:mbms-default-ctrlkey-downloadType"/>
<xs:complexType name="mbms-default-ctrlkey-downloadType">
		<xs:sequence>
			<xs:element type="xs:anyURI" name="group" minOccurs="0" maxOccurs="unbounded"/>
			<xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
			<xs:element name="anyExt" type="mcdatambms:anyExtType" minOccurs="0"/>
		</xs:sequence>
		<xs:anyAttribute namespace="##any" processContents="lax"/>
	</xs:complexType>

	<xs:element name="mbms-explicitMuSiK-download" type="mcdatambms:mbms-explicit-ctrlkey-downloadType"/>
	<xs:complexType name="mbms-explicit-ctrlkey-downloadType">
		<xs:sequence>
			<xs:element type="xs:anyURI" name="group" minOccurs="1" maxOccurs="unbounded"/>
			<xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
			<xs:element name="anyExt" type="mcdatambms:anyExtType" minOccurs="0"/>
		</xs:sequence>
		<xs:anyAttribute namespace="##any" processContents="lax"/>
	</xs:complexType>

	<xs:complexType name="announcementTypeParams">
		<xs:sequence>
			<xs:element name="TMGI" type="xs:hexBinary" minOccurs="1"/>
			<xs:element name="QCI" type="xs:integer" minOccurs="0"/>
			<xs:element name="frequency" type="xs:unsignedLong" minOccurs="0"/>
			<xs:element name="mbms-service-areas" type="mcdatambms:mbms-service-areasType" minOccurs="0"/>
			<xs:element name="GPMS" type="xs:positiveInteger" minOccurs="0"/>
			<xs:element name="report-suspension" type="xs:boolean" minOccurs="0" maxOccurs="1"/>
			<xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
			<xs:element name="anyExt" type="mcdatambms:anyExtType" minOccurs="0"/>
		</xs:sequence>
		<xs:anyAttribute namespace="##any" processContents="lax"/>
	</xs:complexType>

	<xs:complexType name="mbms-service-areasType">
		<xs:sequence>
			<xs:element name="mbms-service-area-id" type="xs:hexBinary"
			minOccurs="1" maxOccurs="unbounded"/>
			<xs:element name="anyExt" type="mcdatambms:anyExtType" minOccurs="0"/>
		</xs:sequence>
		<xs:anyAttribute/>
	</xs:complexType>

	<xs:complexType name="anyExtType">
		<xs:sequence>
			<xs:any namespace="##any" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
		</xs:sequence>
	</xs:complexType>
</xs:schema>
